# N-PX form mapping
npx_dict = {
    'accession': 'accession',
    'documents_document_conformedDocumentType': 'conformedDocumentType',
    'documents_document_conformedName': 'conformedName',
    'documents_document_contents': 'documentContents',
    'documents_document_description': 'documentDescription',
    'formData_coverPage_agentForService_address_city': 'agentForServiceCity',
    'formData_coverPage_agentForService_address_stateOrCountry': 'agentForServiceStateOrCountry',
    'formData_coverPage_agentForService_address_street1': 'agentForServiceStreet1',
    'formData_coverPage_agentForService_address_street2': 'agentForServiceStreet2',
    'formData_coverPage_agentForService_address_zipCode': 'agentForServiceZipCode',
    'formData_coverPage_agentForService_name': 'agentForServiceName',
    'formData_coverPage_amendmentInfo_amendmentNo': 'amendmentNumber',
    'formData_coverPage_amendmentInfo_amendmentType': 'amendmentType',
    'formData_coverPage_amendmentInfo_confDeniedExpired': 'confidentialityDeniedExpired',
    'formData_coverPage_amendmentInfo_dateExpiredDenied': 'dateExpiredDenied',
    'formData_coverPage_amendmentInfo_dateReported': 'dateReported',
    'formData_coverPage_amendmentInfo_isAmendment': 'isAmendment',
    'formData_coverPage_amendmentInfo_reasonForNonConfidentiality': 'reasonForNonConfidentiality',
    'formData_coverPage_explanatoryInformation_explanatoryChoice': 'explanatoryChoice',
    'formData_coverPage_explanatoryInformation_explanatoryNotes': 'explanatoryNotes',
    'formData_coverPage_fileNumber': 'fileNumber',
    'formData_coverPage_leiNumber': 'leiNumber',
    'formData_coverPage_otherManagersInfo_otherManager': 'otherManager',
    'formData_coverPage_otherManagersInfo_otherManager_crdNumber': 'otherManagerCrdNumber',
    'formData_coverPage_otherManagersInfo_otherManager_icaOr13FFileNumber': 'otherManagerIcaOr13FFileNumber',
    'formData_coverPage_otherManagersInfo_otherManager_leiNumberOM': 'otherManagerLeiNumber',
    'formData_coverPage_otherManagersInfo_otherManager_managerName': 'otherManagerName',
    'formData_coverPage_otherManagersInfo_otherManager_otherFileNumber': 'otherManagerOtherFileNumber',
    'formData_coverPage_reportCalendarYear': 'reportCalendarYear',
    'formData_coverPage_reportInfo_confidentialTreatment': 'confidentialTreatment',
    'formData_coverPage_reportInfo_noticeExplanation': 'noticeExplanation',
    'formData_coverPage_reportInfo_reportType': 'reportType',
    'formData_coverPage_reportQuarterYear': 'reportQuarterYear',
    'formData_coverPage_reportingCrdNumber': 'reportingCrdNumber',
    'formData_coverPage_reportingPerson_address_city': 'reportingPersonCity',
    'formData_coverPage_reportingPerson_address_stateOrCountry': 'reportingPersonStateOrCountry',
    'formData_coverPage_reportingPerson_address_street1': 'reportingPersonStreet1',
    'formData_coverPage_reportingPerson_address_street2': 'reportingPersonStreet2',
    'formData_coverPage_reportingPerson_address_zipCode': 'reportingPersonZipCode',
    'formData_coverPage_reportingPerson_name': 'reportingPersonName',
    'formData_coverPage_reportingPerson_phoneNumber': 'reportingPersonPhoneNumber',
    'formData_coverPage_reportingSecFileNumber': 'reportingSecFileNumber',
    'formData_coverPage_yearOrQuarter': 'yearOrQuarter',
    'formData_seriesPage_seriesCount': 'seriesCount',
    'formData_seriesPage_seriesDetails_seriesReports': 'seriesReports',
    'formData_seriesPage_seriesDetails_seriesReports_idOfSeries': 'seriesId',
    'formData_seriesPage_seriesDetails_seriesReports_leiOfSeries': 'seriesLei',
    'formData_seriesPage_seriesDetails_seriesReports_nameOfSeries': 'seriesName',
    'formData_signaturePage_reportingPerson': 'signatureReportingPerson',
    'formData_signaturePage_secondaryRecords_secondaryRecord': 'secondaryRecord',
    'formData_signaturePage_secondaryRecords_secondaryRecord_printedSign': 'secondaryRecordPrintedSignature',
    'formData_signaturePage_secondaryRecords_secondaryRecord_txAsOfDate': 'secondaryRecordAsOfDate',
    'formData_signaturePage_secondaryRecords_secondaryRecord_txSignature': 'secondaryRecordSignature',
    'formData_signaturePage_secondaryRecords_secondaryRecord_txTitle': 'secondaryRecordTitle',
    'formData_signaturePage_txAsOfDate': 'signatureAsOfDate',
    'formData_signaturePage_txPrintedSignature': 'printedSignature',
    'formData_signaturePage_txSignature': 'signature',
    'formData_signaturePage_txTitle': 'signatureTitle',
    'formData_summaryPage_otherIncludedManagersCount': 'otherIncludedManagersCount',
    'formData_summaryPage_otherManagers2_investmentManagers': 'investmentManagers',
    'formData_summaryPage_otherManagers2_investmentManagers_crdNumber': 'investmentManagersCrdNumber',
    'formData_summaryPage_otherManagers2_investmentManagers_form13FFileNumber': 'investmentManagersForm13FFileNumber',
    'formData_summaryPage_otherManagers2_investmentManagers_leiNumber': 'investmentManagersLeiNumber',
    'formData_summaryPage_otherManagers2_investmentManagers_name': 'investmentManagersName',
    'formData_summaryPage_otherManagers2_investmentManagers_secFileNumber': 'investmentManagersSecFileNumber',
    'formData_summaryPage_otherManagers2_investmentManagers_serialNo': 'investmentManagersSerialNumber',
    'headerData_filerInfo_filer_fileNumber': 'headerFileNumber',
    'headerData_filerInfo_filer_issuerCredentials_ccc': 'issuerCcc',
    'headerData_filerInfo_filer_issuerCredentials_cik': 'issuerCik',
    'headerData_filerInfo_flags_confirmingCopyFlag': 'confirmingCopyFlag',
    'headerData_filerInfo_flags_overrideInternetFlag': 'overrideInternetFlag',
    'headerData_filerInfo_investmentCompanyType': 'investmentCompanyType',
    'headerData_filerInfo_liveTestFlag': 'liveTestFlag',
    'headerData_filerInfo_periodOfReport': 'periodOfReport',
    'headerData_filerInfo_registrantType': 'registrantType',
    'headerData_seriesClass_reportSeriesClass_rptIncludeAllSeriesFlag': 'includeAllSeriesFlag',
    'headerData_seriesClass_reportSeriesClass_rptSeriesClassInfo': 'headerSeriesClassInfo',
    'headerData_seriesClass_reportSeriesClass_rptSeriesClassInfo_classInfo': 'headerClassInfo',
    'headerData_seriesClass_reportSeriesClass_rptSeriesClassInfo_classInfo_classId': 'headerClassId',
    'headerData_seriesClass_reportSeriesClass_rptSeriesClassInfo_includeAllClassesFlag': 'includeAllClassesFlag',
    'headerData_seriesClass_reportSeriesClass_rptSeriesClassInfo_seriesId': 'headerSeriesId',
    'headerData_submissionType': 'submissionType'
}